installing pyqt4 on ubuntu 6.06

Jean-Paul Calderone exarkun at divmod.com
Tue Apr 10 17:41:36 CEST 2007


On Tue, 10 Apr 2007 21:05:37 +0530, Pradnyesh Sawant <spradml at gmail.com> wrote:
>Hello,
>I have a newly installed ubuntu 6.06 system. I am trying to install
>pyqt4 on it, but without success. The contents of the
>/etc/apt/sources.list file are:
>********************************************************************************
>deb http://in.archive.ubuntu.com/ubuntu/ dapper main restricted universe
>deb http://in.archive.ubuntu.com/ubuntu/ dapper-backports main
>restricted universe multiverse
>deb http://security.ubuntu.com/ubuntu dapper-security main universe
>deb http://in.archive.ubuntu.com/ubuntu/ dapper-updates main restricted
>********************************************************************************
>I've tried installing everything related to python2.4 and qt4,
>including sip, pyqt-tools, etc. However, on running a pyqt script, it
>gives me the following error:
>********************************************************************************
>Traceback (most recent call last):
>  File "findFiles.py", line 16, in ?
>    from PyQt4 import QtCore, QtGui
>ImportError: No module named PyQt4
>********************************************************************************
>
>Any pointers regarding what packages should i install to get the
>system into working condition would be very helpful
>
>Thanks a lot

Qt4 Python bindings aren't available in 6.06, afaik.  I don't think they
were even available at the time it was released.  6.10 has them, though.

Jean-Paul



More information about the Python-list mailing list